\version "2.24.1"

N = 82
\include "haydn.ly"

horntpt      = \markup \pairinsts "I" "II" \center-column { "Horns in C (alto)" "or" "Trumpets in C" }
horntptshort = \markup \center-column { "Hn /" "Tpt"  }

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
          \new BassoonIandII \partCombine \I.Bassoon.1 \I.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine \I.Horn.1 \I.Horn.2
        \new Timpani \with { tuning=<c g,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB    { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout II \spacing #1/24 }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Flute { \II.Flute }
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          \new BassoonIandII \partCombine \II.Bassoon.1 \II.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{ page-count = 5 }
    \maxsystems 3
    \score {
      \layout { \breaklayout III }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup <<
          \new Flute { \III.Flute }
          \new OboeIandII \partCombine \III.Oboe.1 \III.Oboe.2
          \new BassoonIandII \partCombine \III.Bassoon.1 \III.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine \III.Horn.1 \III.Horn.2
        \new Timpani \with { tuning=<c g,> } { \III.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CB    { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new OboeIandII \partCombine #'(0 . 11) \IV.Oboe.1 \IV.Oboe.2
          \new BassoonIandII \partCombine #'(0 . 11) \IV.Bassoon.1 \IV.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine \IV.Horn.1 \IV.Horn.2
        \new Timpani \with { tuning=<c g,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.Cello }
        >>
      >>
    }
  }
}
